pub struct Guess {
    value: i32,
}

// ANCHOR: here
// --fragment pominięty--
impl Guess {
    pub fn new(value: i32) -> Guess {
        if value < 1 {
            panic!("Wartość Guess musie się zawierać w przedziale od 1 do 100, otrzymano {}.", value);
        }

        Guess { value }
    }
}
// ANCHOR_END: here

#[cfg(test)]
mod tests {
    use super::*;

    #[test]
    #[should_panic]
    fn greater_than_100() {
        Guess::new(200);
    }
}
